using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection;

using Mono.Cecil;
using Mono.Linker;
using Mono.Linker.Steps;

namespace Xamarin {

	public class CustomStep : SubStepsDispatcher {

		public CustomStep ()
		{
			Add (new Step1 ());
			Add (new Step2 ());
		}
	}

	public class Step1 : BaseSubStep {
		public override SubStepTargets Targets {
			get { return SubStepTargets.Type; }
		}

		public override bool IsActiveFor (AssemblyDefinition assembly)
		{
			return false;
		}
	}

	public class Step2 : BaseSubStep {
		public override SubStepTargets Targets {
			get { return SubStepTargets.Method; }
		}

		public override bool IsActiveFor (AssemblyDefinition assembly)
		{
			return true;
		}
	}
}
